错误:(30,13)无法parsing:com.android.support.constraint:constraint-layout:1.0.0-alpha4

在这里输入图像说明

错误:(30,13)无法parsing:com.android.support.constraint:constraint-layout:1.0.0-alpha4

Solutions Collecting From Web of "错误:(30,13)无法parsing:com.android.support.constraint:constraint-layout:1.0.0-alpha4"

我find了解决办法:

  • 下载Android Studio 2.2 Preview 7
  • 更新SDK工具到最新的25.2.1
  • 按照下面的图片下载ConstraintLayout and Solver for ConstraintLayout SDK Manager中的ConstraintLayout and Solver for ConstraintLayout
  • com.android.support.constraint:constraint-layout:1.0.0-alpha5 alpha5添加到gradle.build

ConstraintLayout和Solver

那么,我遇到了这个问题,我更新了上面提到的ConstraintLayout和Solver依赖关系。 但是还是有问题的。 我的问题是,SDK工具更新到最新版本,在我的情况下,它是1.0.0-alpha9,但在我的gradle依赖项设置为

 compile 'com.android.support.constraint:constraint-layout:1.0.0-alpha8' 

所以,你可以改变你的gradle构build文件

 compile 'com.android.support.constraint:constraint-layout:1.0.0-alpha9' 

或者在SDK工具编辑器中select“显示包详细信息”并安装您所需的版本。 请参阅下面的屏幕显示。 SDK工具的图像

在Android Studio中select:SDK Manager – > SDK Tools – >在列表底部检查'com.android.support.constraint:constraint-layout:1.0.0-alpha4',然后按'OK'进行安装。 Android Studio。